import { ContextService } from '@antv/g';
export declare class SVGContextService implements ContextService<SVGElement> {
    private $container;
    private $namespace;
    private dpr;
    private canvasConfig;
    init(): void;
    getDomElement(): SVGElement | null;
    getContext(): SVGElement | null;
    getDPR(): number;
    getBoundingClientRect(): DOMRect | undefined;
    destroy(): void;
    resize(width: number, height: number): void;
    applyCursorStyle(cursor: string): void;
}
